Package dev.plex.util

# Class PlexUtils

java.lang.Object
dev.plex.util.PlexUtils

All Implemented Interfaces:
  `PlexBase`

public class PlexUtils extends Object implements PlexBase

## Field Summary

Fields
Modifier and Type
Field
Description
`static List<String>`
`DEVELOPERS`
`private static final net.kyori.adventure.text.minimessage.MiniMessage`
`MINI_MESSAGE`

### Fields inherited from interface dev.plex.PlexBase

`plugin`

## Constructor Summary

Constructors
Constructor
Description
`PlexUtils()`

## Method Summary

Modifier and Type
Method
Description
`static <T> T`
`addToArrayList(List<T> list, T object)`
`static List<UUID>`
`adminChat(String senderName, String message, UUID... ignore)`
`static void`
`broadcast(String s)`
`static void`
`broadcast(net.kyori.adventure.text.Component component)`
`static void`
`broadcastToAdmins(net.kyori.adventure.text.Component component)`
`static String`
`cleanString(String input)`
`static void`
`disabledEffect(org.bukkit.entity.Player player, org.bukkit.Location location)`
`static void`
`disabledEffectMultiple(org.bukkit.entity.Player[] players, org.bukkit.Location location)`
`static List<String>`
`getPlayerNameList()`
`static String`
`getTextFromComponent(net.kyori.adventure.text.Component component)`
`static String`
`getTextFromComponents(net.kyori.adventure.text.Component... components)`
`static boolean`
`isFolia()`
`static boolean`
`isPluginCMD(String cmd, String pluginName)`
`static net.kyori.adventure.text.Component`
`messageComponent(String entry, Object... objects)`
`static net.kyori.adventure.text.Component`
`messageComponent(String entry, net.kyori.adventure.text.Component... objects)`
`static String`
`messageString(String entry, Object... objects)`
`static net.kyori.adventure.text.Component`
`mmCustomDeserialize(String input, net.kyori.adventure.text.minimessage.tag.resolver.TagResolver... resolvers)`
`static net.kyori.adventure.text.Component`
`mmDeserialize(String input)`
`static String`
`mmStripColor(String input)`
`static void`
`testConnections()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MINI_MESSAGE

private static final net.kyori.adventure.text.minimessage.MiniMessage MINI_MESSAGE

### DEVELOPERS

public static List<String> DEVELOPERS

## Constructor Details

### PlexUtils

public PlexUtils()

## Method Details

### addToArrayList

public static <T> T addToArrayList(List<T> list, T object)

### disabledEffect

public static void disabledEffect(org.bukkit.entity.Player player, org.bukkit.Location location)

### disabledEffectMultiple

public static void disabledEffectMultiple(org.bukkit.entity.Player[] players, org.bukkit.Location location)

### testConnections

public static void testConnections()

### isFolia

public static boolean isFolia()

### isPluginCMD

public static boolean isPluginCMD(String cmd, String pluginName)

### mmStripColor

public static String mmStripColor(String input)

### mmDeserialize

public static net.kyori.adventure.text.Component mmDeserialize(String input)

### mmCustomDeserialize

public static net.kyori.adventure.text.Component mmCustomDeserialize(String input, net.kyori.adventure.text.minimessage.tag.resolver.TagResolver... resolvers)

### messageComponent

public static net.kyori.adventure.text.Component messageComponent(String entry, Object... objects)

### messageComponent

public static net.kyori.adventure.text.Component messageComponent(String entry, net.kyori.adventure.text.Component... objects)

### messageString

public static String messageString(String entry, Object... objects)

### getTextFromComponent

public static String getTextFromComponent(net.kyori.adventure.text.Component component)

### getTextFromComponents

public static String getTextFromComponents(net.kyori.adventure.text.Component... components)

### getPlayerNameList

public static List<String> getPlayerNameList()

### broadcast

public static void broadcast(String s)

### broadcast

public static void broadcast(net.kyori.adventure.text.Component component)

### broadcastToAdmins

public static void broadcastToAdmins(net.kyori.adventure.text.Component component)

### adminChat

public static List<UUID> adminChat(String senderName, String message, UUID... ignore)

### cleanString

public static String cleanString(String input)